package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业应急救援队伍
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("enterprise_rescue_team")
public class EnterpriseRescueTeam implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "enterprise_emergency_rescue_team_id", type = IdType.AUTO)
    private String enterpriseEmergencyRescueTeamId;

    /**
     * 企业名称

     */
    private String enterpriseName;

    /**
     * 队伍名称
     */
    private String teamName;

    /**
     * 专兼职
     */
    private String fullOrPartTime;

    /**
     * 所属单位
     */
    private String dept;

    /**
     * 队伍性质
     */
    private String teamProperty;

    /**
     * 队伍级别
     */
    private String teamLevel;

    /**
     * 擅长事故类型
     */
    private String expertAccidentType;

    /**
     * 地址
     */
    private String address;

    /**
     * 主要联系人
     */
    private String mainContact;

    /**
     * 联系电话
     */
    private String contactMobile;

    /**
     * 队伍人数
     */
    private String teamPersons;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date gmtCreated;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 成立日期
     */
    private Date foundDate;

    /**
     * 服务区域
     */
    private String serviceArea;

    /**
     * 数据来源ID
     */
    private String dataSourceId;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 数据锁版本号
     */
    private String dataVersion;

    /**
     * 检索题名
     */
    private String searchTitle;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    private Integer editStatus;

    public String getEnterpriseEmergencyRescueTeamId() {
        return enterpriseEmergencyRescueTeamId;
    }

    public void setEnterpriseEmergencyRescueTeamId(String enterpriseEmergencyRescueTeamId) {
        this.enterpriseEmergencyRescueTeamId = enterpriseEmergencyRescueTeamId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getFullOrPartTime() {
        return fullOrPartTime;
    }

    public void setFullOrPartTime(String fullOrPartTime) {
        this.fullOrPartTime = fullOrPartTime;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getTeamProperty() {
        return teamProperty;
    }

    public void setTeamProperty(String teamProperty) {
        this.teamProperty = teamProperty;
    }

    public String getTeamLevel() {
        return teamLevel;
    }

    public void setTeamLevel(String teamLevel) {
        this.teamLevel = teamLevel;
    }

    public String getExpertAccidentType() {
        return expertAccidentType;
    }

    public void setExpertAccidentType(String expertAccidentType) {
        this.expertAccidentType = expertAccidentType;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getMainContact() {
        return mainContact;
    }

    public void setMainContact(String mainContact) {
        this.mainContact = mainContact;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getTeamPersons() {
        return teamPersons;
    }

    public void setTeamPersons(String teamPersons) {
        this.teamPersons = teamPersons;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getFoundDate() {
        return foundDate;
    }

    public void setFoundDate(Date foundDate) {
        this.foundDate = foundDate;
    }

    public String getServiceArea() {
        return serviceArea;
    }

    public void setServiceArea(String serviceArea) {
        this.serviceArea = serviceArea;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
