package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业安全生产-企业危险化学品
 *
 * @author lx
 * @since 2024-10-14 10:27
 */
@TableName("o_t_emersps_sps_enterprise_hazardous_chemicals")
public class OTEmerspsSpsEnterpriseHazardousChemicals implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "enterprise_hazardous_chemicals_id", type = IdType.AUTO)
    private String enterpriseHazardousChemicalsId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 危化品名称
     */
    private String hazardousChemicalsName;

    /**
     * 别名
     */
    private String hazardousChemicalsAlias;

    /**
     * CAS号
     */
    private String casNo;

    /**
     * 规格
     */
    private String specifications;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 分类
     */
    private String category;

    /**
     * 库存量
     */
    private String inventory;

    /**
     * 最大储量
     */
    private String maximumReserves;

    /**
     * 存储方式
     */
    private String storageMethod;

    /**
     * 是否构成重大危险源
     */
    private String majorHazard;

    /**
     * 是否产生危废
     */
    private String hazardousWaste;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 数据来源ID
     */
    private String dataSourceId;

    /**
     * 创建时间
     */
    private Date gmtCreated;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 数据库锁版本号
     */
    private String dataVersion;

    /**
     * 检索题名
     */
    private String searchTitle;

    /**
     * 储量单位
     */
    private String reservesUnit;

    /**
     * 危险等级
     */
    private String hazardLevel;

    /**
     * 主要安全风险
     */
    private String mainSafeRisk;

    /**
     * 危险化学品品类
     */
    private String hazardousChemicalKind;

    /**
     * odm入库时间
     */
    private Date odmRksj;

    private Integer editStatus;

    public String getEnterpriseHazardousChemicalsId() {
        return enterpriseHazardousChemicalsId;
    }

    public void setEnterpriseHazardousChemicalsId(String enterpriseHazardousChemicalsId) {
        this.enterpriseHazardousChemicalsId = enterpriseHazardousChemicalsId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getHazardousChemicalsName() {
        return hazardousChemicalsName;
    }

    public void setHazardousChemicalsName(String hazardousChemicalsName) {
        this.hazardousChemicalsName = hazardousChemicalsName;
    }

    public String getHazardousChemicalsAlias() {
        return hazardousChemicalsAlias;
    }

    public void setHazardousChemicalsAlias(String hazardousChemicalsAlias) {
        this.hazardousChemicalsAlias = hazardousChemicalsAlias;
    }

    public String getCasNo() {
        return casNo;
    }

    public void setCasNo(String casNo) {
        this.casNo = casNo;
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getInventory() {
        return inventory;
    }

    public void setInventory(String inventory) {
        this.inventory = inventory;
    }

    public String getMaximumReserves() {
        return maximumReserves;
    }

    public void setMaximumReserves(String maximumReserves) {
        this.maximumReserves = maximumReserves;
    }

    public String getStorageMethod() {
        return storageMethod;
    }

    public void setStorageMethod(String storageMethod) {
        this.storageMethod = storageMethod;
    }

    public String getMajorHazard() {
        return majorHazard;
    }

    public void setMajorHazard(String majorHazard) {
        this.majorHazard = majorHazard;
    }

    public String getHazardousWaste() {
        return hazardousWaste;
    }

    public void setHazardousWaste(String hazardousWaste) {
        this.hazardousWaste = hazardousWaste;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public String getReservesUnit() {
        return reservesUnit;
    }

    public void setReservesUnit(String reservesUnit) {
        this.reservesUnit = reservesUnit;
    }

    public String getHazardLevel() {
        return hazardLevel;
    }

    public void setHazardLevel(String hazardLevel) {
        this.hazardLevel = hazardLevel;
    }

    public String getMainSafeRisk() {
        return mainSafeRisk;
    }

    public void setMainSafeRisk(String mainSafeRisk) {
        this.mainSafeRisk = mainSafeRisk;
    }

    public String getHazardousChemicalKind() {
        return hazardousChemicalKind;
    }

    public void setHazardousChemicalKind(String hazardousChemicalKind) {
        this.hazardousChemicalKind = hazardousChemicalKind;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
