package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业生产安全-企业泄露点信息
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_emersps_sps_enterprise_leak_point")
public class OTEmerspsSpsEnterpriseLeakPoint implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "enterprise_leak_point_id", type = IdType.AUTO)
    private String enterpriseLeakPointId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 企业简称
     */
    private String enterpriseAbbreviation;

    /**
     * 企业统一信用代码
     */
    private String enterpriseUnifiedCreditCode;

    /**
     * 泄露点名称
     */
    private String leakPointName;

    /**
     * 泄露点编码
     */
    private String leakPointCode;

    /**
     * 所属重大危险源
     */
    private String majorHazardSources;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 运行状态
     */
    private String runStatus;

    /**
     * 关联视频
     */
    private String associatedVideo;

    /**
     * 创建人
     */
    private String creater;

    /**
     * 最后修改人
     */
    private String updater;

    /**
     * 数据来源ID
     */
    private String dataSourceId;

    /**
     * 创建时间
     */
    private Date gmtCreated;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 数据库锁版本号
     */
    private String dataVersion;

    /**
     * 检索题名
     */
    private String searchTitle;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    private Integer editStatus;

    public String getEnterpriseLeakPointId() {
        return enterpriseLeakPointId;
    }

    public void setEnterpriseLeakPointId(String enterpriseLeakPointId) {
        this.enterpriseLeakPointId = enterpriseLeakPointId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseAbbreviation() {
        return enterpriseAbbreviation;
    }

    public void setEnterpriseAbbreviation(String enterpriseAbbreviation) {
        this.enterpriseAbbreviation = enterpriseAbbreviation;
    }

    public String getEnterpriseUnifiedCreditCode() {
        return enterpriseUnifiedCreditCode;
    }

    public void setEnterpriseUnifiedCreditCode(String enterpriseUnifiedCreditCode) {
        this.enterpriseUnifiedCreditCode = enterpriseUnifiedCreditCode;
    }

    public String getLeakPointName() {
        return leakPointName;
    }

    public void setLeakPointName(String leakPointName) {
        this.leakPointName = leakPointName;
    }

    public String getLeakPointCode() {
        return leakPointCode;
    }

    public void setLeakPointCode(String leakPointCode) {
        this.leakPointCode = leakPointCode;
    }

    public String getMajorHazardSources() {
        return majorHazardSources;
    }

    public void setMajorHazardSources(String majorHazardSources) {
        this.majorHazardSources = majorHazardSources;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getRunStatus() {
        return runStatus;
    }

    public void setRunStatus(String runStatus) {
        this.runStatus = runStatus;
    }

    public String getAssociatedVideo() {
        return associatedVideo;
    }

    public void setAssociatedVideo(String associatedVideo) {
        this.associatedVideo = associatedVideo;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
